#!/bin/bash

#############################################################################

### OBJECTIVE:
## Prepare the files to analyse the results obtained with AutoDock VINA.

#############################################################################

## Switch command output language from native language to english
LANG=en_US

#############################################################################

### SCRIPT:

## Go to the DTB_screening/VINA directory
cd ../DTB_screening/VINA

receptor=6y2g_protein_A
## Go through every folder in the current directory
for Ligand in $(ls -d *)
do

    cd $Ligand
    
    ## Print the ligand name and corresponding affinity into a temporary file
    awk -v var=${Ligand} 'NR==28{printf "%-30s %s \n", var,$2}' ${Ligand}.log >> ../../Results_${receptor}_VINA.tmp

    cd ..
    
done

cd ..

## Get the temporary file
for file_tmp in `ls ./*VINA.tmp`
do
    ## Remove the ".tmp" file extension 
    file="$(basename ${file_tmp} .tmp)"
    ## Insert a header into the temporary file
    sed -i '1i Ligand:                        Affinity_(kcal/mol):'  ./${file}.tmp
    ## Sort the content of the temporary file, based on the second column, into a new file
    sort -g -k2,2 ./${file}.tmp > ./Sorted_${file}.txt
done

## Remove the temporary file
rm ./*.tmp

## Go back to the scripts directory 
cd ../scripts





