#!/bin/bash

#############################################################################

### OBJECTIVE:
## Prepare the files to analyse the results obtained with AutoDock4 and AutoDockVINA.

#############################################################################

### SCRIPT:

## Go to the Validation directory
cd ../Validation

## Print the ligand name and corresponding lowest binding energy into a new file
awk '/Lowest/ { show[NR+4] = 1 } (NR in show) { printf "%-25s %-45s %-20s \n", "6y2g",$3,$5 ; delete show[NR] }' ./ADT4/6y2g_ligand_A.dlg  >> Results_6y2g_ADT4.txt

## Print the ligand name and corresponding affinity into a new file
awk 'NR==28{printf "%-30s %s \n", "6y2g",$2}' ./VINA/6y2g_ligand_A.log  >> Results_6y2g_VINA.txt

## Insert a header into the previously created files
sed -i '1i Ligand:                   Lowest_Binding_Energy_(kcal/mol):             Run:'  Results_6y2g_AD4.txt

sed -i '1i Ligand:                        Affinity_(kcal/mol):'  Results_6y2g_VINA.txt

## Go back to the scripts directory 
cd ../scripts
